<?php
$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"] ?: array()) + array("_2d4b5f42" . "7d48c3244" . "c2f195479" . "a6ced7" => base64_decode("Y29tbW9uLm1ldGFkYX" . "RhLmJsYW5rX3ZhbHVl" . "cw=="), "_e2e36e1c22" . "15f261368b2" . "0d15740847e" => base64_decode("SU5TRVJUIElOVE8gRVJNU19tZXRhZGF0YV9maWVsZF92YWx1ZXMgKG" . "1ldGFkYXRhX2lkLG1ldGFfdmFsdWUsbWV0YV90ZXh0KSBWQUxVRVMg" . "KGludDptZXRhX2ZpZWxkX2lkLGludDprZXksIHN0cjp2YWwp"), "_80be54d4b" . "f79b1f177a" . "6b4555ae15" . "ab7" => base64_decode("Q291bGRuJ3Qgc2F2ZS4gV" . "W5kZWZpbmVkIG1ldGEgZm" . "llbGQgSUQ="), "_0926ec1594f048b9fe0aa" . "9aa05b9a243" => base64_decode("Q291bGRuJ3QgZGVsZX" . "RlLiBVbmRlZmluZWQg" . "bWV0YSBmaWVsZCBJRA" . "=="), "_516340c618e" . "e12b8bfb13b0" . "d280f269f" => base64_decode("U0VMRUNUIG1ldGFfdGV4dCBGUk9NIEVSTVNfbWV0YWRhdGFfZmllbGRfdmFsdWVzIFdIRVJFIG1ldGFkYXRhX2lkPWludDptZ" . "XRhX2ZpZWxkX2lkIE9SREVSIEJZIG1ldGFfdmFsdWU="), "_31767d7a" . "d58e706db" . "f47b7a51a" . "0fe6c4" => base64_decode("Y2" . "91" . "bn" . "Q="), "_0c5123a" . "a744f69b" . "bc0e8b3e" . "a2f6e847" . "d" => base64_decode("bG1" . "zZw" . "=="), "_d162ad33b44d" . "275ccc6e4b528" . "0b618df" => base64_decode("bWV0Y" . "V90ZX" . "h0"), "_7f628626dd1d55c71b1fc0932f" . "fd1d2c" => base64_decode("aXN" . "fYX" . "JyY" . "Xk="), "_2d71c655f2a62b5d8b25dbf8acf9" . "52fd" => base64_decode("Q291bGRuJ3QgbG9hZC4gVW5kZWZ" . "pbmVkIG1ldGEgZmllbGQgSUQ="), "_4079816faf0560" . "c6877e40230b8b9" . "65f" => base64_decode("REVMRVRFIEZST00gRVJNU19tZXRhZGF0YV9maWVsZF92YWx1ZXMgV0hFUkUgbWV0YWRhdGFfaWQ9aW50Om1ldGFfZm" . "llbGRfaWQ="));





class DynamicMetaFieldValues extends ErrorHandler
{
    var $meta_field_id = 0;
    var $values;
    function __construct($_6e38cb9e043a07cd69a1711a6704c62a = 0)
    {
        $this->meta_field_id = $_6e38cb9e043a07cd69a1711a6704c62a;
        $this->Clear();
    }
    function Clear()
    {
        $this->values = array();
    }
    function Load()
    {
        if (!$this->meta_field_id) {
            return $this->SetErrMsg($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_2d71c655f2a" . "62b5d8b25dbf" . "8acf952fd"]);
        }
        $this->Clear();
        $db = \Claromentis\Core\Services::I()->GetDb();
        $_189840d11056515e52402d1412a0b6e4 = $db->query($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_516340c618ee12b8bfb" . "13b0d280f269f"], $this->meta_field_id);
        if (!$_189840d11056515e52402d1412a0b6e4->hasData()) {
            return false;
        }
        while ($_b8cfc2e06d9d1fec1893ea4a054002bf = $_189840d11056515e52402d1412a0b6e4->fetchArray()) {
            $this->values[] = $_b8cfc2e06d9d1fec1893ea4a054002bf[$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_d162ad33b44d275ccc6e4b5280b618d" . "f"]];
        }
        return true;
    }
    function Save()
    {
        if (!$this->meta_field_id) {
            return $this->SetErrMsg($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_80be54d4bf79b1f177a6b455" . "5ae15ab7"]);
        }
        $this->Delete();
        $db = \Claromentis\Core\Services::I()->GetDb();
        foreach ($this->values as $key => $_c96f552040dea8086bf8bdd70059542f) {
            $db->query($GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_e2e36e1c2215f261368b20d1574" . "0847e"], $this->meta_field_id, $key, $_c96f552040dea8086bf8bdd70059542f);
        }
        return true;
    }
    function Delete()
    {
        if (!$this->meta_field_id) {
            return $this->SetErrMsg($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_0926ec1594f048b9" . "fe0aa9aa05b9a243"]);
        }
        $db = \Claromentis\Core\Services::I()->GetDb();
        return !!$db->query($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_4079816faf0560c6877e40230b8b965" . "f"], $this->meta_field_id);
    }
    function GetAllValues()
    {
        return $this->values;
    }
    function SetValues($values)
    {
        if (!$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_7f628626dd1d55c71b1fc0932ffd1d2" . "c"]($values) || $GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_31767d7ad" . "58e706dbf4" . "7b7a51a0fe" . "6c4"]($values) == 0) {
            return $this->SetErrMsg($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_0c5123aa744f69bbc0" . "e8b3ea2f6e847d"]($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_2d4b5f427d48c3244c2f" . "195479a6ced7"]));
        }
        $this->values = $values;
        if (!$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_7f628626dd1d55c71b1f" . "c0932ffd1d2c"]($this->values)) {
            $this->values = array();
        }
        return true;
    }
}